higan dice che OpenGL 3.2 non è disponibile, ma dovrei avere 3.3

4

Sto eseguendo Trusty con gnome nel crostino su un Chromebook Toshiba 2. Ho installato higan e riporta: "Errore: OpenGL 3.2 non è disponibile." Ho cercato su Google questo, e apparentemente il problema potrebbe essere legato ad un qualche strano modo in cui OpenGL riporta la sua versione, distinguendo tra "versione" e "versione profilo principale". Non ho idea di cosa significhi.

Ecco i miei pacchetti relativi a glxinfo e mesa. Per favore fatemi sapere se ulteriori informazioni potrebbero aiutare.

$ glxinfo | grep OpenGL :

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Bay Trail 
OpenGL core profile version string: 3.3 (Core Profile) Mesa 10.1.3
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 10.1.3
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:

$ dpkg -l | grep -i mesa :

ii  libegl1-mesa:amd64                    10.1.3-0ubuntu0.1                    amd64        free implementation of the EGL API -- runtime
ii  libegl1-mesa-drivers:amd64            10.1.3-0ubuntu0.1                    amd64        free implementation of the EGL API -- hardware drivers
ii  libgl1-mesa-dri:amd64                 10.1.3-0ubuntu0.1                    amd64        free implementation of the OpenGL API -- DRI modules
ii  libgl1-mesa-glx:amd64                 10.1.3-0ubuntu0.1                    amd64        free implementation of the OpenGL API -- GLX runtime
ii  libglapi-mesa:amd64                   10.1.3-0ubuntu0.1                    amd64        free implementation of the GL API -- shared library
ii  libglu1-mesa:amd64                    9.0.0-2                              amd64        Mesa OpenGL utility library (GLU)
ii  libopenvg1-mesa:amd64                 10.1.3-0ubuntu0.1                    amd64        free implementation of the OpenVG API -- runtime
ii  libtxc-dxtn-s2tc0:amd64               0~git20131104-1.1                    amd64        Texture compression library for Mesa
ii  libwayland-egl1-mesa:amd64            10.1.3-0ubuntu0.1                    amd64        implementation of the Wayland EGL platform -- runtime
ii  mesa-utils                            8.1.0-2                              amd64        Miscellaneous Mesa GL utilities
    
posta Thom Smith 09.11.2014 - 02:41

1 risposta

0

L'esecuzione di MESA_GL_VERSION_OVERRIDE=3.2 MESA_GLSL_VERSION_OVERRIDE=150 higan consentirà a Higan di funzionare.

Risposta tratta da Reddit .

    
risposta data Kookerus 01.04.2016 - 03:09

Leggi altre domande sui tag